import db from "@/utils/db";
import { NextRequest, NextResponse } from "next/server";

export async function GET(
	req: NextRequest,
	{ params }: { params: { id: string } }
) {
	const user = await db.product.findUnique({
		where: { id: params.id },
	});
	if (!user) {
		return NextResponse.json({ error: "Product not found" }, { status: 404 });
	} else {
		return NextResponse.json(user, { status: 200 });
	}
}
